## kdenlive 0.7.3

=== CMakeLists.txt ===
project(kdenlive)

SET(BASE_VERSION 0.7.3)

OPTION(RELEASE_BUILD "Remove compilation date to version, use for stable releases (default off)" ON)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)
INCLUDE(FindGettext)
include(MacroOptionalAddSubdirectory)
set(catalogname kdenlive)

add_definitions (${QT_DEFINITIONS})

FIND_PACKAGE(LIBMLT REQUIRED)
FIND_PACKAGE(LIBMLTPLUS REQUIRED)
find_package(MSGFMT REQUIRED)

find_program(EXTRACTRC_EXECUTABLE extractrc)
find_program(MSGFMT_EXECUTABLE msgfmt)
find_program(MSGMERGE_EXECUTABLE msgmerge)
find_program(XGETTEXT_EXECUTABLE xgettext)

# current version
IF (RELEASE_BUILD)
    SET(VERSION "\"${BASE_VERSION}\"")
ELSE(RELEASE_BUILD)
   IF (EXISTS ${PROJECT_SOURCE_DIR}/.svn) 
      # Probably a SVN workspace, determine revision level 
      FIND_PACKAGE(Subversion) 
      IF(Subversion_FOUND) 
        Subversion_WC_INFO(${PROJECT_SOURCE_DIR} KDENLIVE) 
        MESSAGE("Current revision is ${KDENLIVE_WC_REVISION}") 
	SET(VERSION "\"${BASE_VERSION} (rev. ${KDENLIVE_WC_REVISION})\"")
      ELSE(Subversion_FOUND)
	MESSAGE("Could not determine SVN revision")
	SET(VERSION "\"${BASE_VERSION}\"")
      ENDIF(Subversion_FOUND) 
    ELSE(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    SET(VERSION "\"${BASE_VERSION}\"")
    ENDIF(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
ENDIF(RELEASE_BUILD)

add_subdirectory(src src/cmake_bindir)
add_subdirectory(renderer renderer/cmake_bindir)
add_subdirectory(thumbnailer thumbnailer/cmake_bindir)
add_subdirectory(plugins)
add_subdirectory(effects)
add_subdirectory(export) 
add_subdirectory(icons)
add_subdirectory(data)  
add_subdirectory(lumas) 
add_subdirectory(po)
add_subdirectory(man)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/kdenlive-config.h.cmake kdenlive-config.h @ONLY)

=== effects/CMakeLists.txt ===
INSTALL (FILES 

automask.xml
boxblur.xml
brightness.xml
channelcopy.xml
charcoal.xml
chroma_hold.xml
chroma.xml
crop.xml
freeze.xml
gamma.xml
greyscale.xml
invert.xml
ladspa_declipper.xml
ladspa_equalizer.xml
ladspa_limiter.xml
ladspa_phaser.xml
ladspa_pitch_scale.xml
ladspa_pitch.xml
ladspa_rate_scale.xml
ladspa_reverb.xml
ladspa_room_reverb.xml
ladspa_vinyl.xml
mirror.xml
mute.xml
normalise.xml
pan_zoom.xml
obscure.xml
rotation.xml
sepia.xml
sox_bass.xml
sox_gain.xml
sox_phaser.xml
sox_band.xml
sox_echo.xml
sox_flanger.xml
sox_pitch.xml
sox_reverb.xml
sox_vibro.xml
sox_stretch.xml
threshold.xml
volume.xml
wave.xml
fadein.xml
fadeout.xml
frei0r_colordistance.xml
frei0r_squareblur.xml
frei0r_distort0r.xml
frei0r_balanc0r.xml
gain.xml
fade_from_black.xml
fade_to_black.xml

DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

=== po/CMakeLists.txt ===
SUBDIRS(ca cs da de es fi fr he hr hu it nl pt_BR ru sl zh)

=== src/CMakeLists.txt ===

add_subdirectory( widgets )
add_subdirectory( mimetypes )

find_package(Nepomuk REQUIRED)

include_directories (
    ${QDBUS_INCLUDE_DIRS} 
    ${CMAKE_SOURCE_DIR} 
    ${CMAKE_BINARY_DIR} 
    ${KDE4_INCLUDES}

    ${CMAKE_SOURCE_DIR}/src/widgets
    ${LIBMLT_INCLUDE_DIR}
    ${LIBMLTPLUS_INCLUDE_DIR}
    ${NEPOMUK_INCLUDES}
)

LINK_LIBRARIES(
${LIBMLT_LIBRARY}
${LIBMLTPLUS_LIBRARY}
${NEPOMUK_LIBRARIES}
)


kde4_add_ui_files(kdenlive_UI
  widgets/timeline_ui.ui
  widgets/monitor_ui.ui
  widgets/recmonitor_ui.ui
  widgets/colorclip_ui.ui
  widgets/slideshowclip_ui.ui
  widgets/configmisc_ui.ui
  widgets/configenv_ui.ui
  widgets/configdisplay_ui.ui
  widgets/configsdl_ui.ui
  widgets/configcapture_ui.ui
  widgets/effectlist_ui.ui
  widgets/effectstack_ui.ui
  widgets/profiledialog_ui.ui
  widgets/projectsettings_ui.ui
  widgets/keyframewidget_ui.ui
  widgets/constval_ui.ui
  widgets/listval_ui.ui
  widgets/wipeval_ui.ui
  widgets/boolval_ui.ui
  widgets/colorval_ui.ui
  widgets/positionval_ui.ui
  widgets/titlewidget_ui.ui
  widgets/timelinebuttons_ui.ui
  widgets/renderwidget_ui.ui
  widgets/saveprofile_ui.ui
  widgets/transitionsettings_ui.ui
  widgets/configjogshuttle_ui.ui
  widgets/trackheader_ui.ui
  widgets/clipproperties_ui.ui
  widgets/markerdialog_ui.ui
  widgets/keyframedialog_ui.ui
  widgets/clipdurationdialog_ui.ui
  widgets/managecaptures_ui.ui
  widgets/geometryval_ui.ui
  widgets/wizardstandard_ui.ui
  widgets/wizardextra_ui.ui
  widgets/wizardcheck_ui.ui
  widgets/wizardmltcheck_ui.ui
  widgets/spacerdialog_ui.ui
  widgets/addtrack_ui.ui
  widgets/dvdwizardvob_ui.ui
  widgets/dvdwizardmenu_ui.ui
  widgets/dvdwizardiso_ui.ui
  widgets/dvdwizardstatus_ui.ui
)
 
set(kdenlive_SRCS 
  addclipcommand.cpp
  main.cpp
  mainwindow.cpp
  customruler.cpp
  smallruler.cpp
  projectlist.cpp
  projectitem.cpp
  monitor.cpp
  gentime.cpp
  renderer.cpp
  kdenlivedoc.cpp
  projectlistview.cpp
  trackview.cpp
  docclipbase.cpp
  timecode.cpp
  monitormanager.cpp
  headertrack.cpp
  customtrackview.cpp
  clipitem.cpp
  moveclipcommand.cpp
  resizeclipcommand.cpp
  razorclipcommand.cpp
  addtimelineclipcommand.cpp
  addmarkercommand.cpp
  kthumb.cpp
  clipmanager.cpp
  effectslist.cpp
  initeffects.cpp
  effectslistview.cpp
  addeffectcommand.cpp
  editeffectcommand.cpp
  moveeffectcommand.cpp
  effectstackview.cpp
  effectstackedit.cpp
  parameterplotter.cpp
  profilesdialog.cpp
  projectsettings.cpp
  kdenlivesettingsdialog.cpp
  complexparameter.cpp
  titlewidget.cpp
  graphicsscenerectmove.cpp
  effectslistwidget.cpp
  titledocument.cpp
  transition.cpp
  renderwidget.cpp
  abstractclipitem.cpp
  transitionsettings.cpp
  recmonitor.cpp
  addtransitioncommand.cpp
  edittransitioncommand.cpp
  addfoldercommand.cpp
  editfoldercommand.cpp
  clipproperties.cpp
  movetransitioncommand.cpp
  slideshowclip.cpp
  markerdialog.cpp
  guide.cpp
  editguidecommand.cpp
  statusbarmessagelabel.cpp
  regiongrabber.cpp
  editkeyframecommand.cpp
  clipdurationdialog.cpp
  managecapturesdialog.cpp
  changespeedcommand.cpp
  geometryval.cpp
  wizard.cpp
  customtrackscene.cpp
  abstractgroupitem.cpp
  keyframehelper.cpp
  editclipcommand.cpp
  insertspacecommand.cpp
  spacerdialog.cpp
  addtrackcommand.cpp
  changetrackcommand.cpp
  movegroupcommand.cpp
  dvdwizardvob.cpp
  dvdwizardmenu.cpp
  dvdwizard.cpp
  locktrackcommand.cpp
  groupclipscommand.cpp
  splitaudiocommand.cpp
  changecliptypecommand.cpp
)

add_definitions( ${KDE4_DEFINITIONS} )

if(NO_JOGSHUTTLE)
  add_definitions(-DNO_JOGSHUTTLE)
else(NO_JOGSHUTTLE)
  set(kdenlive_SRCS jogshuttle.cpp ${kdenlive_SRCS})
endif(NO_JOGSHUTTLE)

kde4_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc )
QT4_ADD_DBUS_ADAPTOR(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})


target_link_libraries(kdenlive 
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_KNEWSTUFF2_LIBS}
  ${LIBMLTPLUS_LIBRARY}
  ${LIBMLT_LIBRARY}
  ${NEPOMUK_LIBRARIES}
  ${KDE4_KNOTIFYCONFIG_LIBRARY}
)

if (APPLE)
  find_package(SDL REQUIRED)
  target_link_libraries(kdenlive ${SDL_LIBRARY})
endif (APPLE)

install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
install( FILES kdenliveui.rc kdenlive.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kdenlive )
install (FILES kdenlivesettings.kcfg DESTINATION share/config.kcfg)
install (FILES kdenlive.desktop DESTINATION share/applications/kde)
install (FILES application-x-kdenlive.svgz video-mlt-playlist.svgz DESTINATION share/icons/oxygen/scalable/mimetypes)
install( FILES kdenlive.knsrc kdenlive_render.knsrc kdenlive_mltprofiles.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )
kde4_install_icons( ${ICON_INSTALL_DIR} )

## kdenlive 0.7.5

=== CMakeLists.txt ===
project(kdenlive)

SET(BASE_VERSION 0.7.5)

OPTION(RELEASE_BUILD "Remove compilation date to version, use for stable releases (default off)" ON)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include (MacroLibrary)
INCLUDE(FindGettext)
include(MacroOptionalAddSubdirectory)
set(catalogname kdenlive)

add_definitions (${QT_DEFINITIONS})

FIND_PACKAGE(LIBMLT REQUIRED)
find_package(MSGFMT REQUIRED)

find_program(EXTRACTRC_EXECUTABLE extractrc)
find_program(MSGFMT_EXECUTABLE msgfmt)
find_program(MSGMERGE_EXECUTABLE msgmerge)
find_program(XGETTEXT_EXECUTABLE xgettext)

# current version
IF (RELEASE_BUILD)
    SET(VERSION "\"${BASE_VERSION}\"")
ELSE(RELEASE_BUILD)
   IF (EXISTS ${PROJECT_SOURCE_DIR}/.svn)
      # Probably a SVN workspace, determine revision level
      FIND_PACKAGE(Subversion)
      IF(Subversion_FOUND)
        Subversion_WC_INFO(${PROJECT_SOURCE_DIR} KDENLIVE)
        MESSAGE("Current revision is ${KDENLIVE_WC_REVISION}")
	SET(VERSION "\"${BASE_VERSION} (rev. ${KDENLIVE_WC_REVISION})\"")
      ELSE(Subversion_FOUND)
	MESSAGE("Could not determine SVN revision")
	SET(VERSION "\"${BASE_VERSION}\"")
      ENDIF(Subversion_FOUND)
    ELSE(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    SET(VERSION "\"${BASE_VERSION}\"")
    ENDIF(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
ENDIF(RELEASE_BUILD)

add_subdirectory(src src/cmake_bindir)
add_subdirectory(renderer renderer/cmake_bindir)
add_subdirectory(thumbnailer thumbnailer/cmake_bindir)
add_subdirectory(plugins)
add_subdirectory(effects)
add_subdirectory(export)
add_subdirectory(icons)
add_subdirectory(data)
add_subdirectory(lumas)
add_subdirectory(po)
add_subdirectory(man)

CONFIGURE_FILE(${CMAKE_SOURCE_DIR}/kdenlive-config.h.cmake kdenlive-config.h @ONLY)

=== data/CMakeLists.txt ===
install(FILES banner.png timeline_nothumbs.png timeline_athumbs.png timeline_vthumbs.png timeline_avthumbs.png transition.png metadata.properties blacklisted_effects.txt blacklisted_transitions.txt DESTINATION ${DATA_INSTALL_DIR}/kdenlive )
install (FILES kdenlive.xpm DESTINATION share/pixmaps)
install (FILES kdenlive.menu DESTINATION share/menu RENAME kdenlive)

=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -48,6 +48,7 @@
 frei0r_squareblur.xml
 frei0r_distort0r.xml
 frei0r_balanc0r.xml
+frei0r_scale0tilt.xml
 gain.xml
 fade_from_black.xml
 fade_to_black.xml

=== po/CMakeLists.txt ===
SUBDIRS(ca cs da de el es fi fr he hr hu it nl pt_BR ru sl zh)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,16 @@
 find_package(Nepomuk REQUIRED)
 
 include_directories (
-    ${QDBUS_INCLUDE_DIRS} 
-    ${CMAKE_SOURCE_DIR} 
-    ${CMAKE_BINARY_DIR} 
-    ${KDE4_INCLUDES}
-
-    ${CMAKE_SOURCE_DIR}/src/widgets
+    ${KDE4_INCLUDE_DIR}
+    ${KDE4_INCLUDE_DIR}/KDE
+    ${QT_INCLUDES}
     ${LIBMLT_INCLUDE_DIR}
     ${LIBMLTPLUS_INCLUDE_DIR}
+    ${QDBUS_INCLUDE_DIRS}
+    ${CMAKE_SOURCE_DIR}
+    ${CMAKE_BINARY_DIR}
+
+    ${CMAKE_SOURCE_DIR}/src/widgets
     ${NEPOMUK_INCLUDES}
 )
 
@@ -34,6 +36,7 @@
   widgets/configdisplay_ui.ui
   widgets/configsdl_ui.ui
   widgets/configcapture_ui.ui
+  widgets/configtranscode_ui.ui
   widgets/effectlist_ui.ui
   widgets/effectstack_ui.ui
   widgets/profiledialog_ui.ui
@@ -46,6 +49,7 @@
   widgets/colorval_ui.ui
   widgets/positionval_ui.ui
   widgets/titlewidget_ui.ui
+  widgets/unicodedialog_ui.ui
   widgets/timelinebuttons_ui.ui
   widgets/renderwidget_ui.ui
   widgets/saveprofile_ui.ui
@@ -66,11 +70,16 @@
   widgets/addtrack_ui.ui
   widgets/dvdwizardvob_ui.ui
   widgets/dvdwizardmenu_ui.ui
-  widgets/dvdwizardiso_ui.ui
   widgets/dvdwizardstatus_ui.ui
-)
- 
-set(kdenlive_SRCS 
+  widgets/dvdwizardchapters_ui.ui
+  widgets/missingclips_ui.ui
+  widgets/cliptranscode_ui.ui
+  widgets/geometryposition_ui.ui
+  widgets/templateclip_ui.ui
+  widgets/keyframeeditor_ui.ui
+)
+
+set(kdenlive_SRCS
   addclipcommand.cpp
   main.cpp
   mainwindow.cpp
@@ -111,6 +120,7 @@
   kdenlivesettingsdialog.cpp
   complexparameter.cpp
   titlewidget.cpp
+  unicodedialog.cpp
   graphicsscenerectmove.cpp
   effectslistwidget.cpp
   titledocument.cpp
@@ -153,6 +163,11 @@
   groupclipscommand.cpp
   splitaudiocommand.cpp
   changecliptypecommand.cpp
+  documentchecker.cpp
+  dvdwizardchapters.cpp
+  documentvalidator.cpp
+  cliptranscode.cpp
+  keyframeedit.cpp
 )
 
 add_definitions( ${KDE4_DEFINITIONS} )
@@ -168,7 +183,7 @@
 kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})
 
 
-target_link_libraries(kdenlive 
+target_link_libraries(kdenlive
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
   ${KDE4_KNEWSTUFF2_LIBS}
@@ -176,6 +191,7 @@
   ${LIBMLT_LIBRARY}
   ${NEPOMUK_LIBRARIES}
   ${KDE4_KNOTIFYCONFIG_LIBRARY}
+  ${KDE4_KROSSUI_LIBS}
 )
 
 if (APPLE)
@@ -185,10 +201,10 @@
 
 install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
 install( FILES kdenliveui.rc kdenlive.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kdenlive )
-install (FILES kdenlivesettings.kcfg DESTINATION share/config.kcfg)
-install (FILES kdenlive.desktop DESTINATION share/applications/kde)
-install (FILES application-x-kdenlive.svgz video-mlt-playlist.svgz DESTINATION share/icons/oxygen/scalable/mimetypes)
-install( FILES kdenlive.knsrc kdenlive_render.knsrc kdenlive_mltprofiles.knsrc DESTINATION  ${CONFIG_INSTALL_DIR} )
+install (FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
+install (FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
+install (FILES application-x-kdenlive.svgz video-mlt-playlist.svgz DESTINATION ${ICON_INSTALL_DIR}/oxygen/scalable/mimetypes)
+install( FILES kdenlive.knsrc kdenlive_render.knsrc kdenlive_mltprofiles.knsrc kdenlivetranscodingrc DESTINATION  ${CONFIG_INSTALL_DIR} )
 kde4_install_icons( ${ICON_INSTALL_DIR} )

## kdenlive 0.7.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(kdenlive)
 
-SET(BASE_VERSION 0.7.5)
+SET(BASE_VERSION 0.7.7.1)
 
 OPTION(RELEASE_BUILD "Remove compilation date to version, use for stable releases (default off)" ON)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

=== data/CMakeLists.txt ===
install(FILES banner.png timeline_nothumbs.png timeline_athumbs.png timeline_vthumbs.png timeline_avthumbs.png transition.png metadata.properties blacklisted_effects.txt blacklisted_transitions.txt DESTINATION ${DATA_INSTALL_DIR}/kdenlive )
install( FILES kdenliveeffectscategoryrc DESTINATION  ${CONFIG_INSTALL_DIR} )
install (FILES kdenlive.xpm DESTINATION share/pixmaps)
install (FILES kdenlive.menu DESTINATION share/menu RENAME kdenlive)

=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -49,8 +49,20 @@
 frei0r_distort0r.xml
 frei0r_balanc0r.xml
 frei0r_scale0tilt.xml
+frei0r_contrast0r.xml
+frei0r_brightness.xml
+frei0r_lenscorrection.xml
+frei0r_saturat0r.xml
+frei0r_vertigo.xml
+frei0r_curves.xml
+frei0r_levels.xml
+frei0r_three_point_balance.xml
+frei0r_tint0r.xml
+frei0r_threshold0r.xml
 gain.xml
 fade_from_black.xml
 fade_to_black.xml
+speed.xml
+vignette.xml
 
 DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

=== debian/changelog ===
kdenlive (0.7.7.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release (LP: #559147)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 09 Apr 2010 08:21:51 -0400

kdenlive (0.7.7-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - kdenlive replaces kdenlive-data (<< 0.7)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 17 Feb 2010 23:34:08 +0100

kdenlive (0.7.7-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 17 Feb 2010 22:09:41 +0100

kdenlive (0.7.6+svn4305-1) unstable; urgency=low

  * New upstream svn snapshot.
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Feb 2010 19:11:20 +0100

kdenlive (0.7.6+svn4246-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - kdenlive replaces kdenlive-data (<< 0.7)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 04 Feb 2010 02:18:27 +0100

kdenlive (0.7.6+svn4246-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 23 Jan 2010 14:46:02 +0100

kdenlive (0.7.6+svn4238-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 19 Jan 2010 20:54:26 +0100

kdenlive (0.7.6+svn4223-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 11 Jan 2010 12:57:10 +0100

kdenlive (0.7.6+svn4201-1) unstable; urgency=low

  * New upstream svn snapshot.
    - This should fix a FTBFS on armel.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Jan 2010 19:32:41 +0100

kdenlive (0.7.6+svn4194-1) unstable; urgency=low

  * New upstream svn snapshot.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 03 Jan 2010 13:19:28 +0100

kdenlive (0.7.6+svn4144-1ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:27:37 +0100

kdenlive (0.7.6+svn4144-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing, remaining changes:
    - kdenlive replaces kdenlive-data (<< 0.7)
  * Rebuild for libmlt2 transition (LP: #498612)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 20 Dec 2009 03:03:57 +0100

kdenlive (0.7.6+svn4144-1) unstable; urgency=low

  * New upstream svn snapshot.
  * Fix spelling error in the long description of kdenlive-data.
    Closes: #557488
  * Remove obsolete debian/README.source.
  * Convert package to the 3.0 (quilt) format.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 24 Nov 2009 20:19:31 +0100

kdenlive (0.7.6-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 09 Oct 2009 11:04:17 +0200

kdenlive (0.7.5+svn3995-1) unstable; urgency=low

  * New upstream svn snapshot.
  * Now it should build on all architectures against the right mlt version.
    Closes: #549340

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 04 Oct 2009 10:12:58 +0200

kdenlive (0.7.5+svn3969-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Drop all merged patches.
    - Drop dpatch.
  * Apply patch from Martin Mazur <debian@teclabs.eu> to increase readibility
    of the long description. Thanks.
    Closes: #548435
  * Use dh_install with --list-missing.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 01 Oct 2009 11:31:36 +0200

kdenlive (0.7.5-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.3.
    - Add debian/README.source.
  * Wrap build dependency lines.
  * Add patch 01-spanish_translations_fixes, which fixes many spanish
    translations. Thanks to Margarita Manterola <marga@debian.org>.
    Closes: #538450
  * Add patch 02-switch_to_genisoimage, which switches kdenlive from mkisofs to
    genisoimage. Thanks to Didier Raboud <didier@raboud.com>.
    Closes: #547501

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 Sep 2009 12:27:06 +0200

kdenlive (0.7.5-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes: (LP: #395276)
    - kdenlive replaces kdenlive-data (<< 0.7)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Jul 2009 20:30:34 +0200

kdenlive (0.7.5-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 01 Jul 2009 21:50:23 +0200

kdenlive (0.7.4+svn3592-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use kde.mk from pkg-kde-tools
  * kdenlive replaces kdenlive-data (<< 0.7) (LP: #366494)

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 23 Jun 2009 20:53:40 -0400

kdenlive (0.7.4+svn3592-1) unstable; urgency=low

  * New subversion snapshot of revision 3592.
    - This snapshot fixes a FTBFS on armel.
    - Drop kdenlive.{menu,xpm} and install both from upstream.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 Jun 2009 15:12:32 +0200

kdenlive (0.7.4-2) unstable; urgency=low

  * Fix conflicts against kdenlive from Marillat.
    Closes: #532086
  * Bump Standards-Version to 3.8.2 (no changes needed).
  * We do not have to depend anymore on libmlt-data, this is done by melt now.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 19 Jun 2009 09:23:58 +0200

kdenlive (0.7.4-0ubuntu4) karmic; urgency=low

  * Fixed debian/control:
    - recommends dvdauthor

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 03 Jun 2009 15:03:27 +0200

kdenlive (0.7.4-1) unstable; urgency=low

  * New upstream release.
    - Bump dependency on libmlt-data to >= 0.4.2, because kdenlive 0.7.4 does
      not work properly with mlt 0.3.8.
  * Change dependency on inigo to melt, it has been renamed with the new mlt
    version.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 02 Jun 2009 18:15:09 +0200

kdenlive (0.7.4-0ubuntu3) karmic; urgency=low

  * Fixed debian/control:
    - changed build-depends minimum version to build against latest libmlt.
    - as this upload is due to naming changes in libmlt* packages,


=== debian/control ===
Source: kdenlive
Section: video
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Homepage: http://www.kdenlive.org/
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev, libavc1394-dev,
 libmlt-dev, libmlt++-dev, libiec61883-dev, libavcodec-dev, libavformat-dev,
 libavdevice-dev, libavutil-dev

Package: kdenlive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kdenlive-data (= ${source:Version}), melt, ffmpeg
Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
Replaces: kdenlive-data (<< 0.7)
Description: a non-linear video editor
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format

Package: kdenlive-data
Architecture: all
Depends: ${misc:Depends}
Recommends: kdenlive
Conflicts: kdenlive (<= 0.7.2.1)
Description: a non-linear video editor (data files)
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the data files for kdenlive.

Package: kdenlive-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdenlive (= ${binary:Version})
Description: a non-linear video editor (debugging symbols)
 Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
 more formats.
 It main features are:
  * Guides and marker for organizing timelines
  * Copy and paste support for clips, effects and transitions
  * Real time changes
  * Firewire and Video4Linux capture
  * Screen grabbing
  * Exporting to any by FFMPEG supported format
 .
 This package contains the debugging symbols for kdenlive.

## kdenlive 0.7.7.1+svn4571

=== CMakeLists.txt ===
project(kdenlive)

set(BASE_VERSION 0.7.8)
set(LIBMLT_REQUIRED_VERSION 0.4.0)

option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" OFF)
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)

# Search packages used by KDE.
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(FindGettext)
include(MacroOptionalAddSubdirectory)
set(catalogname kdenlive)
add_definitions(${QT_DEFINITIONS})

# Search MLT package.
find_package(LIBMLT REQUIRED)
if(LIBMLT_VERSION VERSION_LESS ${LIBMLT_REQUIRED_VERSION})
  message(FATAL_ERROR "MLT must be at least version ${LIBMLT_REQUIRED_VERSION}")
endif(LIBMLT_VERSION VERSION_LESS ${LIBMLT_REQUIRED_VERSION})

find_package(MSGFMT REQUIRED)
find_program(EXTRACTRC_EXECUTABLE extractrc)
find_program(MSGFMT_EXECUTABLE msgfmt)
find_program(MSGMERGE_EXECUTABLE msgmerge)
find_program(XGETTEXT_EXECUTABLE xgettext)

# Get current version.
if(RELEASE_BUILD)
  set(VERSION "\"${BASE_VERSION}\"")
else(RELEASE_BUILD)
  if(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    # Probably a SVN workspace: determine the revision.
    find_package(Subversion)
    if(Subversion_FOUND)
      Subversion_WC_INFO(${PROJECT_SOURCE_DIR} KDENLIVE)
      message("Current revision is ${KDENLIVE_WC_REVISION}")
      set(VERSION "\"${BASE_VERSION} (rev. ${KDENLIVE_WC_REVISION})\"")
    else(Subversion_FOUND)
      message("Could not determine the SVN revision")
      set(VERSION "\"${BASE_VERSION}\"")
    endif(Subversion_FOUND)
  else(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
    set(VERSION "\"${BASE_VERSION}\"")
  endif(EXISTS ${PROJECT_SOURCE_DIR}/.svn)
endif(RELEASE_BUILD)

add_subdirectory(src src/cmake_bindir)
add_subdirectory(renderer renderer/cmake_bindir)
add_subdirectory(thumbnailer thumbnailer/cmake_bindir)
add_subdirectory(plugins)
add_subdirectory(effects)
add_subdirectory(export)
add_subdirectory(icons)
add_subdirectory(data)
add_subdirectory(lumas)
add_subdirectory(titles)
add_subdirectory(po)
add_subdirectory(man)

configure_file(${CMAKE_SOURCE_DIR}/kdenlive-config.h.cmake kdenlive-config.h @ONLY)

=== data/CMakeLists.txt ===
install(FILES banner.png timeline_nothumbs.png timeline_athumbs.png timeline_vthumbs.png timeline_avthumbs.png transition.png metadata.properties blacklisted_effects.txt blacklisted_transitions.txt DESTINATION ${DATA_INSTALL_DIR}/kdenlive )
install( FILES kdenliveeffectscategory.rc DESTINATION  ${CONFIG_INSTALL_DIR} )
install (FILES kdenlive.xpm DESTINATION share/pixmaps)
install (FILES kdenlive.menu DESTINATION share/menu RENAME kdenlive)

=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -59,6 +59,11 @@
 frei0r_three_point_balance.xml
 frei0r_tint0r.xml
 frei0r_threshold0r.xml
+frei0r_c0rners.xml
+frei0r_defish0r.xml
+frei0r_glow.xml
+frei0r_pixeliz0r.xml
+frei0r_hueshift0r.xml
 gain.xml
 fade_from_black.xml
 fade_to_black.xml

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,19 @@
-
 add_subdirectory( widgets )
 add_subdirectory( mimetypes )
 
-find_package(Nepomuk REQUIRED)
+macro_optional_find_package(Nepomuk)
+
+if (Nepomuk_FOUND)
+    INCLUDE_DIRECTORIES(NEPOMUK_INCLUDES )
+    set( optional_libs ${NEPOMUK_LIBRARIES} )
+    add_definitions(-DNEPOMUK)
+endif (Nepomuk_FOUND)
+
+
+if (APPLE)
+  find_package(OpenGL)
+  set(QT_USE_QTOPENGL TRUE)
+endif (APPLE)
 
 include_directories (
     ${KDE4_INCLUDE_DIR}
@@ -15,14 +26,14 @@
     ${CMAKE_BINARY_DIR}
 
     ${CMAKE_SOURCE_DIR}/src/widgets
-    ${NEPOMUK_INCLUDES}
 )
 
 LINK_LIBRARIES(
 ${LIBMLT_LIBRARY}
 ${LIBMLTPLUS_LIBRARY}
-${NEPOMUK_LIBRARIES}
-)
+${optional_libs}
+)
+
 
 
 kde4_add_ui_files(kdenlive_UI
@@ -47,7 +58,6 @@
   widgets/wipeval_ui.ui
   widgets/boolval_ui.ui
   widgets/colorval_ui.ui
-  widgets/positionval_ui.ui
   widgets/titlewidget_ui.ui
   widgets/unicodedialog_ui.ui
   widgets/timelinebuttons_ui.ui
@@ -74,9 +84,11 @@
   widgets/dvdwizardchapters_ui.ui
   widgets/missingclips_ui.ui
   widgets/cliptranscode_ui.ui
-  widgets/geometryposition_ui.ui
   widgets/templateclip_ui.ui
   widgets/keyframeeditor_ui.ui
+  widgets/timecodedisplay_ui.ui
+  widgets/tracksconfigdialog_ui.ui
+  widgets/urlval_ui.ui
 )
 
 set(kdenlive_SRCS
@@ -140,7 +152,6 @@
   guide.cpp
   editguidecommand.cpp
   statusbarmessagelabel.cpp
-  regiongrabber.cpp
   editkeyframecommand.cpp
   clipdurationdialog.cpp
   managecapturesdialog.cpp
@@ -154,7 +165,6 @@
   insertspacecommand.cpp
   spacerdialog.cpp
   addtrackcommand.cpp
-  changetrackcommand.cpp
   movegroupcommand.cpp
   dvdwizardvob.cpp
   dvdwizardmenu.cpp
@@ -168,6 +178,18 @@
   documentvalidator.cpp
   cliptranscode.cpp
   keyframeedit.cpp
+  positionedit.cpp
+  trackdialog.cpp
+  subprojectitem.cpp
+  folderprojectitem.cpp
+  addclipcutcommand.cpp
+  editclipcutcommand.cpp
+  KoSliderCombo.cpp
+  kis_cubic_curve.cpp
+  kis_curve_widget.cpp
+  timecodedisplay.cpp
+  tracksconfigdialog.cpp
+  configtrackscommand.cpp
 )
 
 add_definitions( ${KDE4_DEFINITIONS} )
@@ -178,18 +200,27 @@
   set(kdenlive_SRCS jogshuttle.cpp ${kdenlive_SRCS})
 endif(NO_JOGSHUTTLE)
 
+if (APPLE)
+  set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
+endif (APPLE)
+
 kde4_add_kcfg_files(kdenlive_SRCS kdenlivesettings.kcfgc )
 QT4_ADD_DBUS_ADAPTOR(kdenlive_SRCS org.kdenlive.MainWindow.xml mainwindow.h MainWindow)
 kde4_add_executable(kdenlive ${kdenlive_SRCS} ${kdenlive_UI})
 
+if (${KDE_VERSION} VERSION_LESS 4.3.80)
+  set(KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF2_LIBS})
+else (${KDE_VERSION} VERSION_LESS 4.3.80)
+  set(KNEWSTUFF_LIBS ${KDE4_KNEWSTUFF3_LIBS})
+endif (${KDE_VERSION} VERSION_LESS 4.3.80)
 
 target_link_libraries(kdenlive
   ${KDE4_KDEUI_LIBS}
   ${KDE4_KIO_LIBS}
-  ${KDE4_KNEWSTUFF2_LIBS}
+  ${KNEWSTUFF_LIBS}
   ${LIBMLTPLUS_LIBRARY}
   ${LIBMLT_LIBRARY}
-  ${NEPOMUK_LIBRARIES}
+  ${optional_libs}
   ${KDE4_KNOTIFYCONFIG_LIBRARY}
   ${KDE4_KROSSUI_LIBS}
 )
@@ -197,14 +228,16 @@
 if (APPLE)
   find_package(SDL REQUIRED)
   target_link_libraries(kdenlive ${SDL_LIBRARY})
+  target_link_libraries(kdenlive ${QT_QTOPENGL_LIBRARY})
+  target_link_libraries(kdenlive ${OPENGL_LIBRARIES})
 endif (APPLE)
 
 install(TARGETS kdenlive DESTINATION ${BIN_INSTALL_DIR})
 install( FILES kdenliveui.rc kdenlive.notifyrc DESTINATION  ${DATA_INSTALL_DIR}/kdenlive )
 install (FILES kdenlivesettings.kcfg DESTINATION ${KCFG_INSTALL_DIR})
 install (FILES kdenlive.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install (FILES application-x-kdenlive.svgz video-mlt-playlist.svgz DESTINATION ${ICON_INSTALL_DIR}/oxygen/scalable/mimetypes)
-install( FILES kdenlive.knsrc kdenlive_render.knsrc kdenlive_mltprofiles.knsrc kdenlivetranscodingrc DESTINATION  ${CONFIG_INSTALL_DIR} )
+kde4_install_icons(${ICON_INSTALL_DIR})
+install( FILES kdenlive_titles.knsrc kdenlive_wipes.knsrc kdenlive_renderprofiles.knsrc kdenlive_projectprofiles.knsrc kdenlivetranscodingrc DESTINATION  ${CONFIG_INSTALL_DIR} )
 kde4_install_icons( ${ICON_INSTALL_DIR} )

=== debian/changelog ===
kdenlive (0.7.7.1+svn4571-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Fixes FTBFS on armel.
  * Bump Standards-Version to 3.9.0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Jul 2010 20:05:14 +0200

kdenlive (0.7.7.1+svn4541-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Fixes incorrect recordmydesktop command line options.
      Closes: #584523
  * Remove not needed build dependencies libiec61883-dev and libavc1394-dev.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 23 Jun 2010 21:42:38 +0200

kdenlive (0.7.7.1-2) unstable; urgency=low

  * Build against Qt 4.6.
    Closes: #574055

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 15 Apr 2010 19:23:56 +0200

kdenlive (0.7.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Feb 2010 23:14:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,17 @@
 Source: kdenlive
 Section: video
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Patrick Matthäi <pmatthaei@debian.org>
+Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.8.4
-Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev, libavc1394-dev,
- libmlt-dev, libmlt++-dev, libiec61883-dev, libavcodec-dev, libavformat-dev,
- libavdevice-dev, libavutil-dev
+Standards-Version: 3.9.0
+Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev,
+ libmlt-dev, libmlt++-dev, libavcodec-dev, libavformat-dev,
+ libavdevice-dev, libavutil-dev, libqt4-dev (>= 4:4.6)
 
 Package: kdenlive
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, kdenlive-data (= ${source:Version}), melt, ffmpeg
 Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
-Replaces: kdenlive-data (<< 0.7)
 Description: a non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.
@@ -29,7 +27,7 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: kdenlive
-Conflicts: kdenlive (<= 0.7.2.1)
+Breaks: kdenlive (<= 0.7.2.1)
 Description: a non-linear video editor (data files)
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
  more formats.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

NCPUS := $(shell getconf _NPROCESSORS_ONLN 2>/dev/null || echo 1)

ifeq ($(NCPUS),-1)
	NCPUS:=1
endif

ifeq ($(NCPUS),0)
	NCPUS:=1
endif

CMAKE_SYSTEM_PROCESSOR = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

configure: configure-stamp
configure-stamp:
	dh_testdir
	[ -d build ] || mkdir build
	cd build && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_SKIP_RPATH:BOOL=YES
	touch $@

build: build-stamp
build-stamp: configure
	dh_testdir
	cd build && $(MAKE) -j $(NCPUS)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf build
	rm -rf $(CURDIR)/debian/tmp
	rm -f $(CURDIR)/kdenlive.menu
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	cd build && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	cp $(CURDIR)/data/kdenlive.menu $(CURDIR)/debian/
	dh_install --list-missing

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installdirs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installmenu -a
	dh_strip -a --dbg-package=kdenlive-dbg
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## kdenlive 0.7.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 project(kdenlive)
 
 set(BASE_VERSION 0.7.8)
-set(LIBMLT_REQUIRED_VERSION 0.4.0)
+set(LIBMLT_REQUIRED_VERSION 0.5.10)
 
-option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" OFF)
+option(RELEASE_BUILD "Remove compilation date from program version (use for stable releases)" ON)
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules)
 
 # Search packages used by KDE.
@@ -18,7 +18,7 @@
 # Search MLT package.
 find_package(LIBMLT REQUIRED)
 if(LIBMLT_VERSION VERSION_LESS ${LIBMLT_REQUIRED_VERSION})
-  message(FATAL_ERROR "MLT must be at least version ${LIBMLT_REQUIRED_VERSION}")
+  message(FATAL_ERROR "MLT must be at least version ${LIBMLT_REQUIRED_VERSION}, you have ${LIBMLT_VERSION}\nPlease install recent MLT http://www.mltframework.org")
 endif(LIBMLT_VERSION VERSION_LESS ${LIBMLT_REQUIRED_VERSION})
 
 find_package(MSGFMT REQUIRED)

=== data/CMakeLists.txt ===
install(FILES banner.png timeline_nothumbs.png timeline_athumbs.png timeline_vthumbs.png timeline_avthumbs.png metadata.properties blacklisted_effects.txt blacklisted_transitions.txt DESTINATION ${DATA_INSTALL_DIR}/kdenlive )
install( FILES kdenliveeffectscategory.rc DESTINATION  ${CONFIG_INSTALL_DIR} )
install (FILES kdenlive.xpm DESTINATION share/pixmaps)
install (FILES kdenlive.menu DESTINATION share/menu RENAME kdenlive)

=== effects/CMakeLists.txt ===
--- 
+++ 
@@ -35,39 +35,47 @@
 sox_band.xml
 sox_echo.xml
 sox_flanger.xml
-sox_pitch.xml
-sox_reverb.xml
-sox_vibro.xml
 sox_stretch.xml
 threshold.xml
 volume.xml
 wave.xml
 fadein.xml
 fadeout.xml
+frei0r_alpha0ps.xml
+frei0r_alphagrad.xml
+frei0r_alphaspot.xml
+frei0r_balanc0r.xml
+frei0r_brightness.xml
+frei0r_coloradj_rgb.xml
 frei0r_colordistance.xml
+frei0r_contrast0r.xml
+frei0r_c0rners.xml
+frei0r_curves.xml
+frei0r_defish0r.xml
+frei0r_distort0r.xml
+frei0r_glow.xml
+frei0r_hueshift0r.xml
+frei0r_lenscorrection.xml
+frei0r_levels.xml
+frei0r_pixeliz0r.xml
+frei0r_pr0be.xml
+frei0r_pr0file.xml
+frei0r_saturat0r.xml
+frei0r_scale0tilt.xml
+frei0r_select0r.xml
+frei0r_sopsat.xml
 frei0r_squareblur.xml
-frei0r_distort0r.xml
-frei0r_balanc0r.xml
-frei0r_scale0tilt.xml
-frei0r_contrast0r.xml
-frei0r_brightness.xml
-frei0r_lenscorrection.xml
-frei0r_saturat0r.xml
-frei0r_vertigo.xml
-frei0r_curves.xml
-frei0r_levels.xml
 frei0r_three_point_balance.xml
 frei0r_tint0r.xml
 frei0r_threshold0r.xml
-frei0r_c0rners.xml
-frei0r_defish0r.xml
-frei0r_glow.xml
-frei0r_pixeliz0r.xml
-frei0r_hueshift0r.xml
+frei0r_vertigo.xml
 gain.xml
 fade_from_black.xml
 fade_to_black.xml
 speed.xml
 vignette.xml
+swapchannels.xml
+audiobalance.xml
+audiopan.xml
 
 DESTINATION ${DATA_INSTALL_DIR}/kdenlive/effects)

=== po/CMakeLists.txt ===
SUBDIRS(ca cs da de el es fi fr gl he hr hu it nl pl pt pt_BR ru sl tr uk zh)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
     add_definitions(-DNEPOMUK)
 endif (Nepomuk_FOUND)
 
+if (Q_WS_X11)
+    include_directories (${X11_Xlib_INCLUDE_PATH} ) 
+endif (Q_WS_X11)
 
 if (APPLE)
   find_package(OpenGL)
@@ -26,6 +29,7 @@
     ${CMAKE_BINARY_DIR}
 
     ${CMAKE_SOURCE_DIR}/src/widgets
+    ${CMAKE_SOURCE_DIR}/src/colorcorrection
 )
 
 LINK_LIBRARIES(
@@ -44,20 +48,19 @@
   widgets/slideshowclip_ui.ui
   widgets/configmisc_ui.ui
   widgets/configenv_ui.ui
-  widgets/configdisplay_ui.ui
+  widgets/configtimeline_ui.ui
   widgets/configsdl_ui.ui
   widgets/configcapture_ui.ui
   widgets/configtranscode_ui.ui
+  widgets/configproject_ui.ui
   widgets/effectlist_ui.ui
   widgets/effectstack_ui.ui
   widgets/profiledialog_ui.ui
   widgets/projectsettings_ui.ui
   widgets/keyframewidget_ui.ui
-  widgets/constval_ui.ui
   widgets/listval_ui.ui
   widgets/wipeval_ui.ui
   widgets/boolval_ui.ui
-  widgets/colorval_ui.ui
   widgets/titlewidget_ui.ui
   widgets/unicodedialog_ui.ui
   widgets/timelinebuttons_ui.ui
@@ -89,6 +92,12 @@
   widgets/timecodedisplay_ui.ui
   widgets/tracksconfigdialog_ui.ui
   widgets/urlval_ui.ui
+  widgets/vectorscope_ui.ui
+  widgets/colorplaneexport_ui.ui
+  widgets/waveform_ui.ui
+  widgets/rgbparade_ui.ui
+  widgets/histogram_ui.ui
+  widgets/geometrywidget_ui.ui
 )
 
 set(kdenlive_SRCS
@@ -190,15 +199,36 @@
   timecodedisplay.cpp
   tracksconfigdialog.cpp
   configtrackscommand.cpp
-)
+  abstractscopewidget.cpp
+  rebuildgroupcommand.cpp
+  histogram.cpp
+  rgbparade.cpp
+  vectorscope.cpp
+  waveform.cpp
+  colorplaneexport.cpp
+  colortools.cpp
+  colorcorrection/histogramgenerator.cpp
+  colorcorrection/rgbparadegenerator.cpp
+  colorcorrection/vectorscopegenerator.cpp
+  colorcorrection/waveformgenerator.cpp
+  razorgroupcommand.cpp
+  colorpickerwidget.cpp
+  choosecolorwidget.cpp
+  monitorscene.cpp
+  geometrywidget.cpp
+  doubleparameterwidget.cpp
+)
+
+
+add_subdirectory( ${CMAKE_SOURCE_DIR}/src/colorcorrection )
 
 add_definitions( ${KDE4_DEFINITIONS} )
 
-if(NO_JOGSHUTTLE)
+if(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
   add_definitions(-DNO_JOGSHUTTLE)
-else(NO_JOGSHUTTLE)
+else(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
   set(kdenlive_SRCS jogshuttle.cpp ${kdenlive_SRCS})
-endif(NO_JOGSHUTTLE)
+endif(APPLE OR CMAKE_SYSTEM_NAME STREQUAL "FreeBSD" OR NO_JOGSHUTTLE)
 
 if (APPLE)
   set(kdenlive_SRCS videoglwidget.cpp ${kdenlive_SRCS})
@@ -225,6 +255,10 @@
   ${KDE4_KROSSUI_LIBS}
 )
 
+if (Q_WS_X11)
+  target_link_libraries(kdenlive ${X11_LIBRARIES})
+endif (Q_WS_X11)
+
 if (APPLE)
   find_package(SDL REQUIRED)
   target_link_libraries(kdenlive ${SDL_LIBRARY})

=== debian/changelog ===
kdenlive (0.7.8-2) unstable; urgency=low

  * Wrap dependencies.
  * Remove patch 01-lower-down-req-mlt-version, since mlt 0.6.2 is in unstable.
    Closes: #606619

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 08 Feb 2011 18:26:40 +0100

kdenlive (0.7.8-1) unstable; urgency=low

  * New upstream release.
    - Add patch 01-lower-down-req-mlt-version.diff, which sets the required mlt
      version from 0.5.10 to 0.5.6.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 18 Sep 2010 10:13:25 +0200

kdenlive (0.7.7.1+svn4858-1) unstable; urgency=low

  * New upstream svn snapshot.
    - Croatian translation is working now.
      Closes: #592755
    - Add new build dependency shared-desktop-ontologies and libx11-dev.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 07 Sep 2010 20:37:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Homepage: http://www.kdenlive.org/
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 7), pkg-config, cmake, kdelibs5-dev,
  libmlt-dev, libmlt++-dev, libavcodec-dev, libavformat-dev,
- libavdevice-dev, libavutil-dev, libqt4-dev (>= 4:4.6)
+ libavdevice-dev, libavutil-dev, libqt4-dev (>= 4:4.6),
+ shared-desktop-ontologies, libx11-dev
 
 Package: kdenlive
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, kdenlive-data (= ${source:Version}), melt, ffmpeg
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ kdenlive-data (= ${source:Version}),
+ melt, ffmpeg
 Recommends: swh-plugins, dvgrab, frei0r-plugins, recordmydesktop, dvdauthor, genisoimage
 Description: a non-linear video editor
  Kdenlive is a non-linear video editing suite, which supports DV, HDC and much
